Subject: socket programming in Win95, concurrent server
From: [email-masked] (Wai-Kong Sung)

21 Jan 1998 16:46:53 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------8E07C48EA7C70B0F5EA23E65"
To: [email-masked]

This is a multi-part message in MIME format.
--------------8E07C48EA7C70B0F5EA23E65
Content-Type: text/plain; charset=iso-8859-1
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
Content-Transfer-Encoding: 8bit

Hi!

I am trying to build a simple concurrent TCP server using gnuwin32 in a
Win95 environment. In the Unix way, the server listen to a port, accept
it and fork a child process to handle the accepted socket. I tried the
same thing in gnuwin32. However, I alwasy get a error when a error
"descriptor is a file, not a socket" whenI tried to use this socket in
the child process(select,recv, etc).

I would like to know whether passing a child process inherit the socket
handle from the parent in gnuwin32/Win95.　

Thanks!

waikong
[email-masked]
　

--------------8E07C48EA7C70B0F5EA23E65
Content-Type: text/x-vcard; charset=us-ascii; name="vcard.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Wai-Kong  Sung
Content-Disposition: attachment; filename="vcard.vcf"

begin:          vcard
fn:             Wai-Kong  Sung
n:              Sung;Wai-Kong 
org:            Communication Devices, Inc.
adr:            1 Forstmann Court;;;Clifton;New Jersey;07011;U.S.A.
email;internet: [email-masked]
title:          Engineer
tel;work:       (973) 772 6997
tel;fax:        (973) 772 0747
x-mozilla-cpt:  ;0
x-mozilla-html: FALSE
end:            vcard

--------------8E07C48EA7C70B0F5EA23E65--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".